package com.zg.project.Inventory.AutoInventory.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zg.framework.aspectj.lang.annotation.Excel;
import com.zg.framework.web.domain.BaseEntity;

/**
 * 打印rfid对象 print_rfid
 * 
 * @author zg
 * @date 2025-04-17
 */
public class PrintRfid extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 存放位置 */
    @Excel(name = "存放位置")
    private String pcde;

    /** 转成十六进制，长度不足4的倍数用FF补充 */
    @Excel(name = "转成十六进制，长度不足4的倍数用FF补充")
    private String rfid;

    /** 是否已打印 0未打印1已打印 */
    @Excel(name = "是否已打印 0未打印1已打印")
    private Long isprint;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setPcde(String pcde) 
    {
        this.pcde = pcde;
    }

    public String getPcde() 
    {
        return pcde;
    }

    public void setRfid(String rfid) 
    {
        this.rfid = rfid;
    }

    public String getRfid() 
    {
        return rfid;
    }

    public void setIsprint(Long isprint) 
    {
        this.isprint = isprint;
    }

    public Long getIsprint() 
    {
        return isprint;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("pcde", getPcde())
            .append("rfid", getRfid())
            .append("isprint", getIsprint())
            .toString();
    }
}
